import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/**
* Filtro para aceptar solo archivos de texto
* @link http://www.java2s.com/Code/JavaAPI/javax.swing/JFileChooseraddChoosableFileFilterFileFilterfilter.htm
*/
public class TextFilter extends FileFilter{
	
	/**
	* Acepta directorios y cualquier archivo txt.
	* @param f Ruta que se probara si es txt o directorio
	*/
	public boolean accept(File f){
		if (f.isDirectory()){return true;}
		String extension = Utils.getExtension(f);
		if (extension != null){
			if (extension.equals(Utils.txt)){
				return true;
			} 
			else{
				return false;
			}
		}
		return false;
	}

	/**
	* Retorna la descripcion del filtro
	*/
	public String getDescription(){
		return "Solo archivos .txt";
	}
}